1 CLS:COLOR 15
2 INPUT"                           Enter driver fs     ",F
3 INPUT"                           Enter driver Vas    ",V
4 INPUT"                           Enter driver Qts    ",Q
5 INPUT"                           Enter driver no%    ",N
6 INPUT"                           Enter driver Pmax   ",P
7 INPUT"                           Enter driver Xmax   ",X
8 INPUT"                           Enter driver diam.  ",D1
9 L1=LOG(10) : V9=V/35.31 : Q4=7 : T7=.01*N*P : X9=X/39.37 : D9=D1/39.37
10 S=3.14159*D9^2/4 : Z1=.4375*F^4*(X9*S)^2 : GOTO 12
11 INPUT"Enter box volume and helmholtz frequency separated by a comma ",V1,F1     :GOTO 14
12 INPUT"                           Enter box volume    ",V1
13 INPUT"                           Enter helmholtz f   ",F1
14 PRINT
15 IF F1=0 THEN F1=10^-20
16 H=F1/F : A9=V/V1
17 PRINT"************************ DRIVER PARAMETERS ***********************"
18 PRINT USING"Free-air resonance frequency (fs ) =   ###.#   Hz";F
19 PRINT USING"Compliance equivalent volume (Vas) =   ###.### ft^3";V
20 PRINT USING"Total driver Q               (Qts) =    ##.### Qts";Q
21 PRINT USING"Half-space efficiency        ( n ) =    ##.##  %";N
22 PRINT USING"Effective cone diameter      (Sd ) =   ###.#   in";D1
23 PRINT USING"Peak linear excursion       (Xmax) =   ###.### in";X
24 V4=3.14159*D1^2/4*X
25 PRINT USING"Peak displacement volume     (Vd ) = #####.##  in^3";V4
26 PRINT USING"Thermal limit input power  (Ptmax) = #####.#   watts";P
27 PRINT
28 PRINT"************************** BOX PARAMETERS ************************"
29 PRINT USING"Net internal volume          (Vb ) =  ####.### ft^3";V1
30 PRINT USING"Helmholtz resonance freq.    (f1 ) =  ####.#   Hz";F1
31 PRINT USING"Box leakage Q                (Ql ) =  ####.#   Q";Q4
32 S4=8.25*V4/SQR(F1)  :  A4=1728*V1*(6.2832*F1/13504)^2  :  PRINT
33 PRINT USING"Minimum vent area                  =  ####.#   in^2";S4
34 PRINT
35 PRINT "   VENT LENGTH             VENT AREA             VENT DIAMETER "
36 PRINT "     inches               square inches               inches"
37 FOR J=1 TO 5
38 L4=S4/A4-.825*SQR(S4)  :  K=(SQR(S4/3.14159))*2
39 IF L4>.75 THEN 41
40 GOTO 46
41 PRINT USING"   #####.##             ########.##                   ###.#";L4;    S4;K
42 S4=1.25893*S4
43 NEXT J  :  PRINT
44 PRINT"************************* SYSTEM PARAMETERS **********************"
45 GOTO 49
46 L4=.75
47 S4=((A4*.825+SQR((A4*.825)^2+4*A4*L4))/2)^2
48 GOTO 41
49 PRINT USING"     TUNING RATIO = H = Fb/Fs    =    ##.###";H
50 PRINT USING"       ALPHA      = Vas/Vb       =   ###.###";A9
51 PRINT
52 PRINT
53 PRINT"         RELATIVE     MAXIMUM      MAXIMUM      RELATIVE     MAXIMUM   LIMIT"
54 PRINT"FREQ     RESPONSE     ACOUSTIC      ROOM        MAXIMUM       INPUT    D=DISP"
55 PRINT" Hz       (dB)        OUTPUT       dB SPL       OUTPUT        WATTS    T=THERM"
56 PRINT"----     --------     --------     --------     --------     --------  -------"
57 A=H*H : B=A/Q+H/Q4 : C=1+A+A9+H/(Q4*Q) : D=1/Q+H/Q4
58 READ F9
59 IF F9>500 THEN 69
60 W=F9/F : W1=W*W : H9=W1*W1/SQR((W1*W1-C*W1+A)^2+W1*(B-D*W1)^2)
61 G=W1^4/((H*H-W1)^2+(W*H/Q4)^2) : T5=H9^2*T7 : D5=Z1*G
62 IF D5<T5 THEN 65
63 P5=T5 : P1=P : A$="T"
64 GOTO 66
65 P5=D5 : P1=D5/T5*P : A$="D"
66 V5=110+10*LOG(P5/.4)/L1 : Y=20*LOG(H9)/L1 : Y1=10*LOG(P5/T7)/L1
67 PRINT USING"###       ####.#     ####.##        ###.#       ####.#        #####       !";F9;Y;P5;V5;Y1;P1;A$
68 GOTO 58
69 RESTORE
70 DATA 20,25,30,35,40,45,50,55,60,65,70,75,80,85,90,95,100,150,                        200,250,300,350,400,450,500,501
71 GOTO 11 : END
